libperl-critic-perl (1.138-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.

  [ gregor herrmann ]
  * Add libpod-parser-perl to {build,runtime} dependencies.
  * Update years of packaging copyright.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 May 2020 13:00:12 +0200

libperl-critic-perl (1.138-1) unstable; urgency=medium

  * Import upstream version 1.138
  * Make (Build-)Depends(-Indep) on libppix-regexp-perl versioned
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.5.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Jan 2020 10:48:48 +0100

libperl-critic-perl (1.136-1) unstable; urgency=medium

  * Import upstream version 1.136
  * Update (build-)dependency on libstring-format-perl to be versioned
  * Set Rules-Requires-Root to no
  * debian/watch: Bump format to version 4
  * Remove obsolete fields Name, Contact from debian/upstream/metadata
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.4.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 27 Nov 2019 22:08:51 +0100

libperl-critic-perl (1.134-1) unstable; urgency=medium

  * Team upload.

  [ Laurent Baillet ]
  * fix lintian wrong-path-for-interpreter error

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.134

  [ intrigeri ]
  * Drop all patches: applied upstream.
  * Bump debhelper compatibility version to 12.
  * Declare compatibility with Debian Policy 4.4.0.
  * Update build & runtime dependencies.
  * Update upstream copyright information.

 -- intrigeri <intrigeri@debian.org>  Sun, 21 Jul 2019 19:15:48 +0000

libperl-critic-perl (1.132-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org
  * Import upstream version 1.132
  * Update copyright years for upstream files
  * Update copyright for debian/* packaging files
  * Bump Debhelper compat level to 10
  * Drop (Build-)Depends(-Indep) on libemail-address-perl (Closes: #887547)

  [ gregor herrmann ]
  * Install new CONTRIBUTING.md doc.
  * Update years of packaging copyright.
  * Add new (build) dependency.
  * Declare compliance with Debian Policy 4.1.5.
  * Let cme fix some alternative versioned build dependencies.

  [ Salvatore Bonaccorso ]
  * Add spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 27 Jul 2018 11:56:15 +0200

libperl-critic-perl (1.130-1) unstable; urgency=medium

  * Import upstream version 1.130

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 21 Jul 2017 21:21:53 +0200

libperl-critic-perl (1.128-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: use HTTPS for GitHub URLs.
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * debian/copyright: update copyright years for some upstream files.

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.128
    - Fixed an invalid test in the RequireBarewordsIncludes test
      (Closes: #867038)
  * Update (build-)dependency for PPI requirements.
    Update versioned Build-Depends-Indep and Depends on libppi-perl to
    (>= 1.224)
  * Relax (build-)dependency on libppix-regexp-perl.
    The required version is already satisfied in wheezy, make the
    Build-Depends-Indep and Depends on libppix-regexp-perl unversioned.
  * Bump Debhelper compat level to 9
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Jul 2017 08:12:00 +0200

libperl-critic-perl (1.126-1) unstable; urgency=low

  * Import upstream version 1.126
  * Add copyright stanza for new included file in upstream

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 11 Aug 2015 09:45:49 +0200

libperl-critic-perl (1.125-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Add debian/upstream/metadata
  * Imported upstream version 1.123 and 1.125
  * Update copyright information for upstream files (two files removed)
  * Update versioned (build-)dependency for PPI.
    Update versioned Build-Depends-Indep and Depends on libppi-perl to
    (>= 1.220).

  [ gregor herrmann ]
  * Update upstream copyright years.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 May 2015 18:46:57 +0200

libperl-critic-perl (1.122-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Axel Beckert ]
  * Remove Maximilian Gaß from Uploaders (no more active according to himself)

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Imported Upstream version 1.122
  * Change build dependency for Module::Build.
    Replace perl Build-Depends with explicit dependency on
    libmodule-build-perl (>= 0.420000)
  * Add Build-Depends-Indep on perl
  * Update versioned (build-)dependency for PPI.
    Update Build-Depends-Indep and Depends on libppi-perl to libppi-perl
    (>= 1.218)
  * Update (build-)dependency for Readonly.
    Remove Build-Depends-Indep and Depends on libreadonly-xs-perl.
    Update Build-Depends-Indep and Depends for libreadonly-perl to
    libreadonly-perl (>= 2.000).
  * Drop 0001-Don-t-use-obsolete-make-local-hook-function.patch patch
  * Update copyright information for two new files
  * Update copyright years for debian/* packaging

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 25 Aug 2014 12:17:43 +0200

libperl-critic-perl (1.121-1) unstable; urgency=low

  * Imported Upstream version 1.121
  * Bump Standards-Version to 3.9.5
  * Wrap and sort fields in debian/control file

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Nov 2013 21:24:49 +0100

libperl-critic-perl (1.120-1) unstable; urgency=low

  * Imported Upstream version 1.120

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 26 Oct 2013 08:42:05 +0200

libperl-critic-perl (1.119-1) unstable; urgency=low

  * Imported Upstream version 1.119

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 27 Sep 2013 07:17:07 +0200

libperl-critic-perl (1.118-2) unstable; urgency=low

  * Set up to use conf-mode on the .perlcriticrc file.
    Thanks to Kevin Ryde <user42@zip.com.au> and intrigeri <intrigeri@boum.org>
    (Closes: #672182)
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Adjust (build-)dependency for Module::Pluggable.
    Module::Pluggable will be removed from Perl core in 5.20 and emits now
    a warning with 5.18. Add Build-Depends-Indep and Depends on alternate
    libmodule-pluggable-perl | perl (<< 5.17.0).
    Thanks to Dominic Hargreaves <dom@earth.li> (Closes: #711671)
  * Bump Standards-Version to 3.9.4
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 13 Jun 2013 07:14:50 +0200

libperl-critic-perl (1.118-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.118
  * Bump versioned dependency for libppix-regexp-perl.
    Bump versioned (Build-)Depends(-Indep) on libppix-regexp-perl to
    (>= 0.027).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Jul 2012 16:38:00 +0200

libperl-critic-perl (1.117-2) unstable; urgency=low

  * Team upload.
  * New patch:
    0001-Don-t-use-obsolete-make-local-hook-function.patch
    (Closes: #641514)
  * Update debian/copyright with cme.
  * Bump Standards-Version to 3.9.3 (no change required).
  * debian/copyright: separate filenames with spaces instead of comma.

 -- intrigeri <intrigeri@debian.org>  Fri, 08 Jun 2012 00:07:29 +0200

libperl-critic-perl (1.117-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 1.117
  * Update debian/copyright file.
    Add File information for new file contributed by Mike O'Regan.
  * Change (Build-)Depends(-Indep) on libppix-regexp-perl.
    Make unversioned dependency a versioned dependency on (>= 0.022). For
    details see RT#72151.
    https://rt.cpan.org/Ticket/Display.html?id=72151

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 22 Dec 2011 08:45:38 +0100

libperl-critic-perl (1.116-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 May 2011 15:23:47 +0200

libperl-critic-perl (1.115-1) unstable; urgency=low

  * New upstream release
  * Drop fix-manpage.patch patch as it is applied upstream.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 Apr 2011 23:08:50 +0200

libperl-critic-perl (1.114-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump (Build-)Depends(-Indep) on libppi-perl to (>=
    1.215).
  * debian/copyright: Update copyright stanza for new file added
    upstream.
  * Add fix-manpage.patch patch to fix comment block in manpage of
    RequirePodLinksIncludeText.pm.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Mar 2011 09:17:24 +0200

libperl-critic-perl (1.113-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    - Update copyright years for debian/* packaging.
    - Refresh stanzas for upstream files.
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * Email change: Ansgar Burchardt -> ansgar@debian.org
  * Email change: gregor herrmann -> gregoa@debian.org
  * debian/control: Make (Build-)Depends(-Indep) on libppix-utilities-perl
    versioned (>= 1.001).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 18 Feb 2011 08:07:31 +0100

libperl-critic-perl (1.111-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Update my email address.

  [ Ansgar Burchardt ]
  * Update my email address.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 16 Dec 2010 07:58:42 +0100

libperl-critic-perl (1.109-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright: Explicitly refer to GPL-1 license text in
    common-licenses.
  * Bump Standards-Version to 3.9.1.
  * Switch to Debhelper compat level 8. Use Build.PL instead of
    Makefile.PL.
  * debian/control:
    - Move perl to Build-Depends.
    - Make versioned (Build-)Depends(-Indep) on libemail-address-perl and
      libexception-class-perl unversioned as we have the required version
      already in stable and oldstable is gone.
    - Remove alternatative (Build-)Depends(-Indep) on perl (>= 5.10) |
      libversion-perl.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 31 Aug 2010 17:07:42 +0200

libperl-critic-perl (1.108-1) unstable; urgency=low

  * New upstream release (Closes: #544050, #544063)
  * Refresh debian/copyright.
  * Drop spelling.patch as it is applied upstream.
  * debian/control:
    - Bump versioned (Build-)Depends(-Indep) on libppi-perl to (>=
      1.208).
    - Add (Build-)Depends(-Indep) on libppix-utilities-statement-perl.
    - Add (Build-)Depends(-Indep) on libppix-regexp-perl.
    - Re-order dependency fields.
    - Drop Suggests on libemail-address-perl, it is required now, and
      move to Depends.
  * Drop libperl-critic-perl.docs as extras/KomodoIntegration.pod is not
    present anymore in source.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 28 Jun 2010 13:41:28 +0200

libperl-critic-perl (1.106-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.

  [ Ansgar Burchardt ]
  * New upstream release.
  * Use source format 3.0 (quilt).
  * Add trailing newline to debian/NEWS: lintian says that apt-listchanges is
    happier that way.
  * debian/copyright: Formatting changes for current DEP-5 proposal.
  * Fix spelling errors in the documentation.
    + new patch: spelling.patch
  * Bump Standards-Version to 3.8.4 (no changes).
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 11 May 2010 23:26:08 +0900

libperl-critic-perl (1.105-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ Salvatore Bonaccorso ]
  * New upstream release
    - InputOutput::RequireCheckedSyscalls now complains about unchecked "say"
      by default (RT#37487) (Closes: #483304).
    - Bug Fixes: Variables::ProhibitPunctuationVars would complain about "%-"
      appearing anywhere in a string.  (RT#49016).
  * Add Copyright for various members of Debian Perl Group to
    debian/copyright.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 08 Sep 2009 22:23:08 +0200

libperl-critic-perl (1.104-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Adds several new policies
  * Remove versioned dependency on perl (allowed by S-V 3.8.3)

  [ gregor herrmann ]
  * Add libemail-address-perl to Suggests as per upstream 'recommends', and
    also to Build-Depends-Indep.

 -- Jonathan Yu <frequency@cpan.org>  Sun, 23 Aug 2009 15:15:47 -0400

libperl-critic-perl (1.103-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Now requires PPI 1.205 for new features
    + Fix Variables::RequireLexicalLoopIterators for foreach loops with labels
  * Standards-Version 3.8.3 (no changes)
  * Move {examples|docs|install} to libperl-critic-perl.{examples|docs|install}

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.8.2 (no changes)
    - Add myself to Uploaders
  * debian/rules: minimize the rules file by using tiny rule

 -- Jonathan Yu <frequency@cpan.org>  Thu, 20 Aug 2009 06:51:47 -0400

libperl-critic-perl (1.098-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release

  [ gregor herrmann ]
  * Update debian/copyright (new files, new years).

 -- Antonio Radici <antonio@dyne.org>  Sun, 08 Mar 2009 00:45:19 +0000

libperl-critic-perl (1.096-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
    + incorporate bugfix for 480248 (Closes: #480248)
  * debian/control:
    + Adding myself to the Uploaders field

  [ gregor herrmann ]
  * debian/copyright: update years of upstream and packaging copyright.
  * Add debian/NEWS to document some incompatible changes.

 -- Antonio Radici <antonio@dyne.org>  Mon, 09 Feb 2009 22:55:57 +0000

libperl-critic-perl (1.092-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * Fix "Build-Depend on libexception-class-perl needs explicit
    relation" by making the (build) dependency versioned, thanks to Eric
    Pozharski for the bug report (closes: #507643).
  * debian/rules: use the template from dh-make-perl.
  * debian/copyright: switch to new format.

 -- gregor herrmann <gregoa@debian.org>  Thu, 04 Dec 2008 23:05:07 +0100

libperl-critic-perl (1.092-1) unstable; urgency=low

  [ Maximilian Gaß ]
  * New upstream release
  * Restructured long package description
  * Added tools/ppidump to examples (Closes: #484213)
  * Added Lintian override for manpage-has-errors-from-man

  [ Damyan Ivanov ]
  * install perlcritic.el into site-lisp, add debian/emacsen-startup
    adds perlcritic mode to Emacs. Thanks to Kevin Ryde for the suggestion and
    the patch. Closes: #483288

  [ gregor herrmann ]
  * Don't install perlcritic.el via debian/docs, as it is in debian/install
    now.
  * debian/control: change my email address.

 -- Maximilian Gaß <mxey@cloudconnected.org>  Tue, 16 Sep 2008 11:58:38 +0200

libperl-critic-perl (1.088-1) unstable; urgency=low

  * New upstream release
    + Adjust (build-)dependencies:
      - add perl-modules
      - bump libppi-perl's version to 1.203
      - add perl-modules (>= 5.10) | libversion-perl
  * add libtest-deep-perl to B-D-I for additional tests
  * remove manpages-whatis.patch; fixed upstream
    + drop quilt from B-D and rules
  * minimize debian/rules with debhelper 7
  * Standards-Version: 3.8.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 07 Jul 2008 13:25:48 +0300

libperl-critic-perl (1.082-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update years of copyright.
  * debian/control: use a versioned dependency on quilt because we use
    quilt.make in debian/rules.
  * Refresh and extend manpages-whatis.patch.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 16 Mar 2008 03:32:47 +0100

libperl-critic-perl (1.080-2) unstable; urgency=low

  * debian/rules: delete /usr/lib/perl5 only if it exists (closes: #468002).
  * debian/watch: adapt regexp for matching upstream releases.
  * debian/rules:
    - create install-stamp target
    - introduce PERL and TMP variables
    - use $@ for touching stamp-files
    - use dh_clean for removing them
    - use DESTDIR and PREFIX for make install
    - don't create usr/lib directory, which we delete afterwards anyway
  * Set Standards-Version to 3.7.3 (no changes).
  * Set debhelper compatibility level to 6.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 02 Mar 2008 01:35:54 +0100

libperl-critic-perl (1.080-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * Remove empty /usr/lib/perl5 directory.
  * Move dh_clean before make distclean.
  * Add libreadonly-perl to (build-)dependecies (only recommended, not
    depended upon by libreadonly-xs-perl).

  [ Damyan Ivanov ]
  * New upstream release
  * Fixed debian/watch to use search.cpan.org/dist/-based URL
  * Remove unused dh_link from debian/rules
  * Wrap long fields in debian/control
  * Add libfile-homedir-perl, libfile-which-perl, perltidy,
    libpod-spell-perl, libexception-class-perl and libreadonly-xs-perl to
    (build-)dependencies
  * Bump libppi-perl (build-)dependency to 1.201
  * Add manpages-whatis.patch fixing whatis lintian warnings of 120 modules
    Add quilt as a build-dependency
  * debian/copyright:
    + refreshed info, added two more copyright holders
    + use direct search.cpan.org/dist/ URL as download location
  * Add myself to Uploaders
  * Add libtest-pod-perl and libtest-pod-coverage-perl to B-D-I

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 Nov 2007 21:30:16 +0200

libperl-critic-perl (1.061-1) unstable; urgency=low

  * First release.
  * Depend on libppi-perl 1.116, for PPI::Document::File.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Aug 2007 20:44:42 -0400
